Welcome to ParrotPilots!
Join our free parrot drone community today!
Sign up

Any way to fly with a certain firmware version? Or a list of known good versions?

Joined
Oct 14, 2018
Messages
12
Likes
0
#1
My Anafi fell out of the sky suddenly and without warning and killed itself. It had been acting strange ever since the last firmware update.

I just bought a new Anafi (I'm at the beginning of a long road trip out into the Outback) and I only want to fly with a stable firmware version. I certainly don't want it to auto-update to the latest firmware and have the same issue happen again. Any way to do this?

The Anafi was on 1.2.1 when it dropped.
 

Dirk_ANAFI

Well-known member
Joined
Aug 7, 2018
Messages
309
Likes
90
Location
NRW, Germany
#2
The list of known FW versions:
1.0.0
1.0.1
1.1.0
1.2.1
1.2.4
Mostly they brought improvements and more stability, but also new bugs, that were mostly debugged in the following version.
Looks quite normal …
 

PascalG

Well-known member
Joined
Aug 18, 2018
Messages
60
Likes
31
Location
Miami, FL / Bahamas
Website
www.youtube.com
#3
I haven’t updated mine in 2 or 3 months (don’t recall which FW) and don’t intend on updating. If it ain’t broken, don’t fix it. I don’t care for some of the new tricks they re cramming in
 

Dirk_ANAFI

Well-known member
Joined
Aug 7, 2018
Messages
309
Likes
90
Location
NRW, Germany
#4
I haven’t updated mine in 2 or 3 months (don’t recall which FW) and don’t intend on updating. If it ain’t broken, don’t fix it. I don’t care for some of the new tricks they re cramming in
Of course that's a way to go.
But I would be careful: The Anafi FW, SC3 FW and FF6 version are related, that means that new features in the Anafi FW are only usable with a new FF6 and/or SC3 FW version.
No one can say whether there is a complete downward compatibility of one of the 3 FW/software versions.
The same maybe true for the bugs: possibly to solve a problem by Parrot needs changes not only in ONE part of the 3 versions but in 2 or 3. Then updating only 1 or 2 by a user might make things even worse.
 

PascalG

Well-known member
Joined
Aug 18, 2018
Messages
60
Likes
31
Location
Miami, FL / Bahamas
Website
www.youtube.com
#5
I m running FW 1.1.0 and FF 6.1.1. Works fine, sticking with it for a while. As mentioned I don’t care for the new features.

But you are right, using a newer version of FreeFlight with older firmware, or vice versa, can cause issue. Update all or nothing.
 
Likes: Dirk_ANAFI

Dirk_ANAFI

Well-known member
Joined
Aug 7, 2018
Messages
309
Likes
90
Location
NRW, Germany
#6
Here you can see a "Anafi FW/SW update timeline" until yesterday:
Timeline.PNG
If you are using FF6 6.1.1, then you should better use Anafi FW 1.1.0, because this FW "belongs" to FF6 6.1.1.
But of course: Now you cannot choose the FW you want … ;)
 

cheetah2k

Active member
Joined
Oct 18, 2018
Messages
40
Likes
3
#7
Is there a way to confirm the firmware on the Smart Battery? How is the smart battery updated - eg, if i update the Anafi with 1 battery in, when/how does the 2nd battery get updated? Does it auto happen when you install it and power up after an update?

I wonder if any of the anafi falling out of the air is related to battery firmware not being up to date....
 

Dirk_ANAFI

Well-known member
Joined
Aug 7, 2018
Messages
309
Likes
90
Location
NRW, Germany
#8
Is there a way to confirm the firmware on the Smart Battery? How is the smart battery updated - eg, if i update the Anafi with 1 battery in, when/how does the 2nd battery get updated? Does it auto happen when you install it and power up after an update?

I wonder if any of the anafi falling out of the air is related to battery firmware not being up to date....
You can see the the battery FW version on the INFO page on the Anafi Webserver page: 192.168.42.1
 

Latest threads

Members online

Forum statistics

Threads
702
Messages
5,796
Members
966
Latest member
Heisenberg